System Requirements

Want to build your own community with our social networking software?

Below is the list of system requirements your server should meet to get our script running smoothly. You can also download this script, execute it on your server and let it check your server automatically.

- PHP 5.0 or greater (for PHP 5 - MySQL extension should be installed). You need PHP 5.2.0 configured to post user status to Twitter.
- MySQL 3.23.0 or greater. MySQL-encoding: UTF-8 Unicode (utf8_general_ci). MySQL connection compatibility: UTF-8
- ionCube PHP Loader v4.0.12 and above enabled on your server (for Basic package)
- safe_mode, open_basedir restriction switched off (optional but preferrable)
- Cronjobs/scheduler support
- ffmpeg support switched On (required to activate Video2Flash option at your site)
- Curl (Download version requires OpenSSL enabled), open_basedir restriction switched off (necessary for Invite Friends Module)
- SOAP extension should be Off on your server (required for VoIP calls feature)
- gd2lib installed on your server (hosting)
- mod_security module disabled (for You Tube videos and Flickr photos upload, beta version)
- mod_rewrite module enabled (for direct links to users' profiles in user mode)
- magic_quotes should be Off
- Ffmpeg support On for better video converting & display
- Php_gmp.dll library installed for Windows servers
- Mcrypt module should be installed
- Short tags switched On for modules operation
- Mb_string should be On